<?php


namespace OrganizationsManagement\Controller;

use Exception;
use OrganizationsManagement\Traits\TResponse;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;
use OrganizationsManagement\Util\Utilities;
use OrganizationsManagement\Util\InstanceProvider;
use \OrganizationsManagement\Service\SlaclienteParam as SlaclienteParaService;

class SlaclienteParam
{
    use TResponse;

    private $slaclienteParamService;

    public function __construct(SlaclienteParaService $slaclienteParamService){
        $this->slaclienteParamService = $slaclienteParamService;
    }

    /**
     * @param DTO\Request $request
     * @param DTO\Response $response
     * @throws Exception
     */
    public function findSlaclienteParam(DTO\Request $request, DTO\Response $response){
        try{
            $data = $this->slaclienteParamService->findSlaclienteParam();
            $this->sendResponse($data, 200);
        }catch(Exception $ex){
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    /**
     * @param DTO\Request $request
     * @param DTO\Response $response
     * @throws Exception
     */
    public function saveSlaclienteParam(DTO\Request $request, DTO\Response $response)
    {
        try{
            $this->slaclienteParamService->saveSlaclienteParam($request->getParameters());
            $this->sendResponse([], 200);
        }catch(Exception $ex){
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }

    }
}
