import { ZdPage } from '@zeedhi/vue';

const routes = [
	{
		path: '/',
		name: 'dashboard',
		component: ZdPage,
		props: () => ({
			path: 'dashboard',
			local: true,
		}),
	},
	{
		path: '/clientes-por-operador',
		component: ZdPage,
		name: 'clientsByOperator',
		props: {
			path: 'clientsByOperator/clientsByOperator',
			local: true,
		},
	},
	{
		path: '/operadores-por-cliente',
		component: ZdPage,
		name: 'operatorsByClient',
		props: {
			path: 'operatorsByClient/operatorsByClient',
			local: true,
		},
	},
	{
		path: '/parametrizacao-sla-cliente',
		component: ZdPage,
		name: 'parametrizacaoSlaCliente',
		props: {
			path: 'parametrizacaoSlaCliente/parametrizacaoSlaCliente',
			local: true,
		},
	},
	{
		path: '/versao-bd',
		component: ZdPage,
		name: 'dbVersion',
		props: {
			path: 'dbVersion',
			local: true,
		},
	},
	{
		path: '/download-de-versao',
		name: 'downloadVersionDelphi',
		component: ZdPage,
		props: {
			path: 'downloadVersionDelphi/downloadVersionDelphi',
			local: true,
		},
	},
	{
		path: '/cadastro-de-versao',
		name: 'versionRegistration',
		component: ZdPage,
		props: {
			path: 'versionRegistration/versionRegistration',
			local: true,
		},
	},
	{
		path: '/notice-for-operator',
		name: 'noticeForOperators',
		component: ZdPage,
		props: {
			path: 'noticeForOperator/noticeForOperator',
			local: true,
		},
	},
	{
		path: '/configuracao-de-assinatura-eletronica',
		name: 'redirecionamentoAssinatura',
		component: ZdPage,
		props: {
			path: 'redirecionamentoAssinatura/redirecionamentoAssinatura',
			local: true,
		},
	},
	{
		path: '/score-de-organizacao',
		name: 'scoreReport',
		component: ZdPage,
		props: {
			path: 'scoreReport/scoreReport',
			local: true,
		},
	},
	{
		path: '/erros-de-coleta',
		name: 'collectionErrors',
		component: ZdPage,
		props: {
			path: 'collectionErrors',
			local: true,
		},
	},
	{
		path: '/cadastro-assunto',
		name: 'cadastroAssunto',
		component: ZdPage,
		props: {
			path: 'cadastroAssunto/treeGridSubject',
			local: true,
		},
	},
	{
		path: '/oque-ha-de-novo',
		name: 'oqueHaDeNovo',
		component: ZdPage,
		props: {
			path: 'oqueHaDeNovo/oqueHaDeNovoTreeGrid',
			local: true,
		},
	},
	{
		path: '/consulta-operador-saas',
		name: 'consultaOperadorSAAS',
		component: ZdPage,
		props: {
			path: 'consultaOperadorSAAS/gridConsultaOperadorSAAS',
			local: true,
		},
	},
	{
		path: '/modules/:module/:page',
		name: 'microservice',
		component: () => import('../views/Microservice.vue'),
	},
	{
		path: '/auth/login',
		name: 'login',
		component: ZdPage,
		props: {
			path: 'login',
			local: true,
		},
	},
	{
		path: '*',
		component: ZdPage,
		props: {
			path: 'notfound',
			local: true,
		},
	},
];

export default routes;
